#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	apidocs		# documentation generated with doxygen
%bcond_without	asihpi		# ASI HPI support

Summary:	Free, cross platform, open-source, audio I/O library
Summary(pl.UTF-8):	Darmowa, międzyplatformowa i otwarta biblioteka I/O audio
Name:		portaudio
%define	fdate	20210406
%define	fver	190700
Version:	19.7.0.%{fdate}
Release:	1
License:	MIT-like (see LICENSE.txt)
Group:		Libraries
Source0:	http://files.portaudio.com/archives/pa_stable_v%{fver}_%{fdate}.tgz
# Source0-md5:	ad319249932c6794b551d954b8844402
Patch0:		%{name}-ac.patch
URL:		http://www.portaudio.com/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_asihpi:BuildRequires:	hpklinux-devel >= 4.06}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
%{?with_asihpi:Requires:	hpklinux-libs >= 4.06}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortAudio is a free, cross platform, open-source, audio I/O library.
It lets you write simple audio programs in 'C' that will compile and
run on many platforms including Windows, Macintosh (8,9,X), Unix
(OSS), SGI, and BeOS.

%description -l pl.UTF-8
PortAudio to darmowa, międzyplatformowa i otwarta biblioteka I/O
audio. Pozwala na pisanie prostych programów w "C", które będą się
kompilować i uruchamiać na wielu platformach, w tym Windows, Macintosh
(8,9,X), Unix (OSS), SGI, i BeOS.

%package devel
Summary:	Header files for PortAudio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PortAudio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9
%{?with_asihpi:Requires:	hpklinux-devel >= 4.06}
Requires:	jack-audio-connection-kit-devel

%description devel
Header files for PortAudio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PortAudio.

%package static
Summary:	Static PortAudio library
Summary(pl.UTF-8):	Statyczna biblioteka PortAudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PortAudio library.

%description static -l pl.UTF-8
Statyczna biblioteka PortAudio.

%package apidocs
Summary:	portaudio API documentation
Summary(pl.UTF-8):	Documentacja API portaudio
Group:		Documentation
BuildArch:	noarch

%description apidocs
Documentation for portaudio API in HTML format generated from
portaudio sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API portaudio w formacie HTML generowane ze źrodeł
portaudio przez doxygen.

%package c++
Summary:	C++ binding for PortAudio library
Summary(pl.UTF-8):	Wiązanie C++ do biblioteki PortAudio
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ binding for PortAudio library.

%description c++ -l pl.UTF-8
Wiązanie C++ do biblioteki PortAudio.

%package c++-devel
Summary:	Header files for C++ binding for PortAudio library
Summary(pl.UTF-8):	Pliki nagłówkowe wiązania C++ do biblioteki PortAudio
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for C++ binding for PortAudio library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe wiązania C++ do biblioteki PortAudio.

%package c++-static
Summary:	Static library of C++ binding for PortAudio library
Summary(pl.UTF-8):	Statyczna biblioteka wiązania C++ do biblioteki PortAudio
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static library of C++ binding for PortAudio library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka wiązania C++ do biblioteki PortAudio.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
cd bindings/cpp
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../..
%{__aclocal}
%{__autoconf}
%configure \
	--enable-cxx \
	--enable-static%{!?with_static_libs:=no} \
	%{!?with_asihpi:--without-asihpi}

%{__make} -j1
%{?with_apidocs:/usr/bin/doxygen}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.txt
%attr(755,root,root) %{_libdir}/libportaudio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libportaudio.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libportaudio.so
%{_includedir}/pa_jack.h
%{_includedir}/pa_linux_alsa.h
%{_includedir}/portaudio.h
%{_pkgconfigdir}/portaudio-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libportaudio.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif

%files c++
%defattr(644,root,root,755)
%doc bindings/cpp/{COPYING,ChangeLog}
%attr(755,root,root) %{_libdir}/libportaudiocpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libportaudiocpp.so.0

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libportaudiocpp.so
%{_includedir}/portaudiocpp
%{_pkgconfigdir}/portaudiocpp.pc

%if %{with static_libs}
%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libportaudiocpp.a
%endif
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/portaudio.git;a=log;h=master

* Fri Mar 18 2022 Jakub Bogusz <qboosh@pld-linux.org> d7ae03b
- updated to 19.7.0 (20210406)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 83e68de
- unconditional noarch subpackages

* Sun May 17 2020 Jan Palus <atler@pld-linux.org> 9cea5f7
- fix build without static libs

* Sun Jul 23 2017 Jakub Bogusz <qboosh@pld-linux.org> d07a02a
- ldconfig for -c++; rel .2

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> d8d5655
- updated to v19 20161030 snap (tagged 190600)

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 7deaa81
- updated to v19 20140130 stable
- updated ac patch
- removed obsolete asihpi_406 patch

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 826e4f2
- noarch apidocs

* Wed Mar 11 2015 Jan Rękorajski <baggins@pld-linux.org> 7443cd3
- rel 3

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> 18d2c3f
- parallel build is broken, disabled

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> e18bd98
- rel 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 6750892
- it's not patch, but cvsnt newline conversion "feature" what is broken; restored patch with workaround

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 3d56fe9
- cosmetics

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 03ea5b4
- disable ASIHPI support when build --without asihpi
- it's ASIHPI not ASAHPI

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 00d295b
- build without asahpi by default (portaudio_asihpi_406.patch is broken)
- conditional asahpi patch

* Fri Apr 29 2011 Jakub Bogusz <qboosh@pld-linux.org> dbfa21f
- build and package c++ binding
- added asahpi_406 patch (from audioscience), enabled asahpi support

* Sun Apr 10 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 7ab9982
- updated to new snap (20110326)
- removed libtool file

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ac8c5f
- ghost soname symlink

* Wed Jan 16 2008 twittner <twittner@pld-linux.org> 7eb3d4f
- up to v19-20071207

* Tue Nov 27 2007 Szymon Siwek <sls@pld-linux.org> 14b1b15
- create apidocs using doxygen (idea from Fedora)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8231bf3
- tabs in preamble

